# pandas.core.window.Expanding.median

`Expanding.``median`(**kwargs)

  Calculate the expanding median.

  Parameters:

  **kwargs

  > For compatibility with other expanding methods. Has no effect on the computed median.

  Returns:

  Series or DataFrame

  > Returned type is the same as the original object.

  See also

  `Series.expanding`
    Calling object with Series data.
  `DataFrame.expanding`
    Calling object with DataFrames.
  `Series.median`
    Equivalent method for Series.
  `DataFrame.median`
    Equivalent method for DataFrame.

  Examples

  Compute the rolling median of a series with a window size of 3.

      >>> s = pd.Series([0, 1, 2, 3, 4])
      >>> s.rolling(3).median()
      0    NaN
      1    NaN
      2    1.0
      3    2.0
      4    3.0
      dtype: float64

Scroll To Top